<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.LittleEndianByteArrayInputStream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.LittleEndianByteArrayInputStream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndianByteArrayInputStream.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndianByteArrayInputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.LittleEndianByteArrayInputStream" class="title">Uses of Class<br>org.apache.poi.util.LittleEndianByteArrayInputStream
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                        title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hpsf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a> in <a
                            href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Vector.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Vector.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Filetime.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Filetime.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">UnicodeString.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/UnicodeString.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Array.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Array.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">VersionedStream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/VersionedStream.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">GUID.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/GUID.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">CodePageString.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/CodePageString.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">VariantBool.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/VariantBool.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ClipboardData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/ClipboardData.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Decimal.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Decimal.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Currency.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Currency.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TypedPropertyValue.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/TypedPropertyValue.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Date.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Date.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.lang.Object</code></td>
                            <td class="colLast"><span class="typeNameLabel">VariantSupport.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/VariantSupport.html#read-org.apache.poi.util.LittleEndianByteArrayInputStream-int-long-int-">read</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei,
                                int&nbsp;length,
                                long&nbsp;type,
                                int&nbsp;codepage)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TypedPropertyValue.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/TypedPropertyValue.html#readValue-org.apache.poi.util.LittleEndianByteArrayInputStream-">readValue</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;lei)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/Property.html#Property-long-org.apache.poi.util.LittleEndianByteArrayInputStream-int-int-">Property</a></span>(long&nbsp;id,
                                <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;leis,
                                int&nbsp;length,
                                int&nbsp;codepage)</code>
                                <div class="block">Creates a <a href="../../../../../org/apache/poi/hpsf/Property.html"
                                                                title="class in org.apache.poi.hpsf"><code>Property</code></a>
                                    instance by reading its bytes
                                    from the property set stream.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                   title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a> in <a
                            href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> with parameters of type <a
                                href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#TextSpecInfoRun-org.apache.poi.util.LittleEndianByteArrayInputStream-">TextSpecInfoRun</a></span>(<a
                                    href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                    title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;source)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndianByteArrayInputStream.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndianByteArrayInputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
